# Bondora

Ruby interface to bondora.com's REST API

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bondora'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bondora

## Prerequisites

The OAuth authorization flow is not implemented. To use the module you need to have an authorization code for your application from Bondora.
Contributions to make this right are welcome.

It is also recommended to use Bondoras sandbox API. To do so, always create the object with `true as second argument.

## Usage

```ruby
# create new client (sandbox mode)
client = Bondora::API.new('AUTHORIZATION_CODE', true)

# get list of investments
client.investments

# get account balance
client.balance

# get list of auctions
client.auctions

# get information on specific auction
client.auction(AUCTION_ID)
```

See the [Documentation](http://www.rubydoc.info/gems/bondora/0.1.0) for further intel.

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/bondora. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

